<script setup lang="ts">
import { onMounted, ref } from 'vue'
// import { useEmployeeHomeStore } from '../stores/employeeHome'
import { usepicEmStore } from '../stores/pictureEmployee'
import { useEmployeeStore } from '@/views/employee/stores/employee';
// import { usePayrollStore } from '@/views/Payroll/stores/payroll';
// import { useAttendanceStore } from '@/views/Attendance/stores/attendance';
import { useProfileStore } from '@/views/Profile/stores/profile';
import { useEmployeeHomeStore } from '../stores/employeeHome';

const profileStore = useProfileStore()
const employeeStore = useEmployeeStore()
// const payrollStore = usePayrollStore()
// const attendanceStore = useAttendanceStore()
onMounted(async () => {
  await employeeStore.getAll()
  // await payrollStore.reloadPayroll()
  // await attendanceStore.getAll()
  await profileStore.openProfile()
  await employeeHomeStore.openEmHome()
})
const tab = ref(null)
const employeeHomeStore = useEmployeeHomeStore()
const picEmStore = usepicEmStore()

</script>

<template>
  <v-container fluid fill-height>
    <v-row align="center" justify="center">
      <v-col>
        <v-card class="elevation-12 custom-card">
          <v-card-text class="text-center">
            <v-row class="text-center">
              <v-col cols="12">
                <h1 class="display-2 font-weight-bold" style="text-align: center">Employee Home</h1>
              </v-col>
            </v-row>
          </v-card-text>
        </v-card>
      </v-col>
    </v-row>
    <v-card>
      <!-- แท็บเมนู -->

      <v-toolbar color="#6D4C41">
        <v-app-bar-nav-icon></v-app-bar-nav-icon>

        <v-toolbar-title>ข้อมูลพนักงาน</v-toolbar-title>

        <v-spacer></v-spacer>

        <v-btn icon>
          <v-icon>mdi-dots-vertical</v-icon>
        </v-btn>

        <template v-slot:extension>
          <v-tabs v-model="tab" color="orange" align-tabs="center" class="ma-5">
            <v-tab :value="1"><v-icon icon="mdi-account"></v-icon>ข้อมูลพนักงาน</v-tab>
            <v-tab :value="2"><v-icon icon="mdi-bank"></v-icon>เงินเดือน</v-tab>
            <v-tab :value="3"><v-icon icon="mdi-book"></v-icon>ประวัติการเข้างาน</v-tab>
            <v-tab :value="4"><v-icon icon="mdi-note-text"></v-icon>ข่าวสาร</v-tab>
          </v-tabs>
        </template>
      </v-toolbar>

      <!-- ข้อมูลที่แสดงในแท็บ -->
      <v-window v-model="tab">
        <v-window-item :value="1">
          <v-card flat color="#8D6E63">
            <v-card-text>
              <v-row>
                    <v-col cols="6">
                      <h3>Name</h3>
                    </v-col>
                    <v-col cols="6">{{ profileStore.profile.name }} </v-col>
                    <v-col cols="6">
                      <h3>Email</h3>
                    </v-col>
                    <v-col cols="6">{{ profileStore.profile.email }} </v-col>
                    <v-col cols="6"><h3>Role</h3> </v-col>
                    <v-col cols="6">{{ profileStore.profile.role }} </v-col>
                    <v-col cols="6"><h3>Phone Number</h3> </v-col>
                    <v-col cols="6">{{ profileStore.profile.tel }} </v-col>
                    <v-col cols="6"><h3>Birthday</h3> </v-col>
                    <v-col cols="6">{{ profileStore.profile.birthDay }} </v-col>
                  </v-row>
          </v-card-text>
          </v-card>
        </v-window-item>

        <v-window-item :value="2">
          <v-card flat color="#8D6E63">
            <v-card-text>
              <v-row>
                    <v-col cols="6">
                      <h3>MoneyRate</h3>
                    </v-col>
                    <v-col cols="6">{{ employeeHomeStore.employeeData.moneyRate }} </v-col>
                    <v-col cols="6">
                      <h3>Minwork</h3>
                    </v-col>
                    <v-col cols="6">{{ employeeHomeStore.employeeData.minwork }} </v-col>
                    <v-col cols="6">
                      <h3>StartDate</h3>
                    </v-col>
                    <v-col cols="6">{{ employeeHomeStore.employeeData.startDate }} </v-col>
                    <v-col cols="6">
                      <h3>EndDate</h3>
                    </v-col>
                    <v-col cols="6">{{ employeeHomeStore.employeeData.endDate }} </v-col>
                    
                  </v-row>
            </v-card-text>
          </v-card>
        </v-window-item>

        <v-window-item :value="3">
          <v-card flat color="#8D6E63">
            <v-card-text>
              <v-row>
                    <v-col cols="6">
                      <h3>TimeWork</h3>
                    </v-col>
                    <v-col cols="6">{{ employeeHomeStore.employeeData.timeWorked }} </v-col>
                    <v-col cols="6">
                      <h3>Check-in</h3>
                    </v-col>
                    <v-col cols="6">{{ employeeHomeStore.employeeData.clockin }} </v-col>
                    <v-col cols="6">
                      <h3>Check-out</h3>
                    </v-col>
                    <v-col cols="6">{{ employeeHomeStore.employeeData.clockout }} </v-col>
                    
                  </v-row>
              <!-- <v-data-table
              class="h-100"
              fixed-header
              :headers="attendanceStore.headers"
              :items="attendanceStore.items">
                <template #item="{ item }">
                <tr>
                  <td>{{ item.id }}</td>
                  <td>{{ item.emp_ID }}</td>
                  <td>{{ item.clockIn }}</td>
                  <td>{{ item.clockOut }}</td>
                  <td>{{ item.timeWorked }}</td>
                  <td>{{ item.typeWork }}</td>
                  <td>{{ item.approved }}</td>
                </tr>
              </template>
              </v-data-table> -->
            </v-card-text>
          </v-card>
        </v-window-item>

        <v-window-item :value="4">
          <v-card flat color="#8D6E63">
            <v-card-text>
              <h1>ข่าวสารต่างๆ</h1>
            </v-card-text>
            <v-carousel
              height="800"
              show-arrows="hover"
              cycle
              hide-delimiters
              style="background-color: #212121"
            >
              <v-carousel-item v-for="(slide, i) in picEmStore.slides" :key="i">
                <!-- Remove the v-sheet and use v-img directly -->
                <v-img
                  class="rounded overflow-hidden"
                  :src="slide"
                  :alt="slide"
                  height="800"
                  width="100%"
                  object-fit="cover"
                >
                  <!-- Optional: Loading placeholder -->
                  <template #placeholder>
                    <v-row class="fill-height ma-0" align="center" justify="center">
                      <v-progress-circular indeterminate color="white"></v-progress-circular>
                    </v-row>
                  </template>
                </v-img>
              </v-carousel-item>
            </v-carousel>
          </v-card>
        </v-window-item>
      </v-window>
    </v-card>
  </v-container>
</template>

<style>
.custom-card {
  width: 100%;
  margin: auto;
  padding: 20px;
  background-color: #5d4037;
  box-shadow: 0 4px 6px rgba(0, 0, 0, 0.1);
}

.display-2.font-weight-bold {
  text-align: center;
  font-size: 30pt;
}

.display-2 {
  font-size: 48px;
  color: #fff;
}

.subtitle-1 {
  color: #fff;
  margin-top: 10px;
  font-size: 16px;
}

.thicker-divider {
  border-top-width: 3px;
}
</style>
